image: cirrusci/flutter:1.17.3
stages:
  - build
  - analyze
  - test

build:
  stage: build
  script:
    - flutter pub get
    - flutter build apk --split-per-abi
    - cp build/app/outputs/apk/release/* Apps/Android/

  tags:
    - shared
  only:
    - merge_request

unit_test:
  stage: test

  script:
    - echo "test not yet implemented"

  tags:
    - shared

  only:
    - merge_requests

analyze:
  stage: analyze

  script:
    - echo job excluded

  tags:
  - shared

  only:
    - merge_requests